Zum Hauptinhalt springen
GET
/
marketing
/
campaigns
/
2026-03
/
{campaignGuid}
Retrieve a campaign
curl --request GET \
  --url https://api.hubapi.com/marketing/campaigns/2026-03/{campaignGuid} \
  --header 'Authorization: Bearer <token>'
{
  "assets": {},
  "businessUnits": [
    {
      "id": 123
    }
  ],
  "createdAt": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "properties": {},
  "updatedAt": "2023-11-07T05:31:56Z"
}

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Pfadparameter

campaignGuid
string
erforderlich

The unique identifier of the campaign to retrieve.

Abfrageparameter

endDate
string

The end date for filtering campaign data, in YYYY-MM-DD format.

properties
string[]

A comma-separated list of property names to include in the response.

startDate
string

The start date for filtering campaign data, in YYYY-MM-DD format.

Antwort

successful operation

assets
object
erforderlich

A map of asset types to their corresponding collection of campaign assets, represented by CollectionResponsePublicCampaignAsset objects.

businessUnits
object[]
erforderlich

An array of business units associated with the campaign, each represented by a PublicBusinessUnit object.

createdAt
string<date-time>
erforderlich

The date and time when the campaign was created, in ISO 8601 format.

id
string
erforderlich

The unique identifier for the campaign.

properties
object
erforderlich

A map of custom property names to their values for the campaign.

updatedAt
string<date-time>
erforderlich

The date and time when the campaign was last updated, in ISO 8601 format.

Last modified on April 9, 2026